/*******************************************************************************
* File Name: LcdChar_PM.c
* Version 2.20
*
* Description:
*  This file provides the API source code for the Static Segment LCD component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "LcdChar.h"


static LcdChar_BACKUP_STRUCT LcdChar_backup;


/*******************************************************************************
* Function Name: LcdChar_SaveConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LcdChar_SaveConfig(void) 
{
}


/*******************************************************************************
* Function Name: LcdChar_RestoreConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LcdChar_RestoreConfig(void) 
{
}


/*******************************************************************************
* Function Name: LcdChar_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the sleep mode.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LcdChar_Sleep(void) 
{
    LcdChar_backup.enableState = LcdChar_enableState;
    LcdChar_SaveConfig();
    LcdChar_Stop();
}


/*******************************************************************************
* Function Name: LcdChar_Wakeup
********************************************************************************
*
* Summary:
*  Wakes the component from sleep mode. Configures DMA and enables the component
*  for normal operation.
*
* Parameters:
*  LcdChar_enableState - Global variable.
*
* Return:
*  Status one of standard status for PSoC3 Component
*       CYRET_SUCCESS - Function completed successfully.
*       CYRET_LOCKED - The object was locked, already in use. Some of TDs or
*                      a channel already in use.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LcdChar_Wakeup(void) 
{
    LcdChar_RestoreConfig();

    if(LcdChar_backup.enableState == 1u)
    {
        LcdChar_Enable();
    }
}


/* [] END OF FILE */
