/*******************************************************************************
* File Name: UartRxIsr.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_UartRxIsr_H)
#define CY_ISR_UartRxIsr_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void UartRxIsr_Start(void) ;
void UartRxIsr_StartEx(cyisraddress address) ;
void UartRxIsr_Stop(void) ;

CY_ISR_PROTO(UartRxIsr_Interrupt);

void UartRxIsr_SetVector(cyisraddress address) ;
cyisraddress UartRxIsr_GetVector(void) ;

void UartRxIsr_SetPriority(uint8 priority) ;
uint8 UartRxIsr_GetPriority(void) ;

void UartRxIsr_Enable(void) ;
uint8 UartRxIsr_GetState(void) ;
void UartRxIsr_Disable(void) ;

void UartRxIsr_SetPending(void) ;
void UartRxIsr_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the UartRxIsr ISR. */
#define UartRxIsr_INTC_VECTOR            ((reg16 *) UartRxIsr__INTC_VECT)

/* Address of the UartRxIsr ISR priority. */
#define UartRxIsr_INTC_PRIOR             ((reg8 *) UartRxIsr__INTC_PRIOR_REG)

/* Priority of the UartRxIsr interrupt. */
#define UartRxIsr_INTC_PRIOR_NUMBER      UartRxIsr__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable UartRxIsr interrupt. */
#define UartRxIsr_INTC_SET_EN            ((reg8 *) UartRxIsr__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the UartRxIsr interrupt. */
#define UartRxIsr_INTC_CLR_EN            ((reg8 *) UartRxIsr__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the UartRxIsr interrupt state to pending. */
#define UartRxIsr_INTC_SET_PD            ((reg8 *) UartRxIsr__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the UartRxIsr interrupt. */
#define UartRxIsr_INTC_CLR_PD            ((reg8 *) UartRxIsr__INTC_CLR_PD_REG)



#endif /* CY_ISR_UartRxIsr_H */


/* [] END OF FILE */
