#include <project.h>
#include "stdio.h"

int i = 0;
uint8 Samples = 64;
uint8 NextSample, Total, Mean;
uint8 SampleStream[64];
uint8 tx = 0;

int main()
{
    CyGlobalIntEnable; // Enable global interrupts
    LcdChar_Start();
    UART_Start();
    ADC_Start();
    
    Total = 0;
    ADC_StartConvert();
    
    for(i = 0; i < Samples; i++)
    {
        if(ADC_IsEndConversion(ADC_WAIT_FOR_RESULT))
            SampleStream[i] = ADC_GetResult8();
        Total += SampleStream[i];
        Mean = Total / Samples;
        tx = Mean;
            
        //start byte
        UART_PutChar('$');
        
        //convert the values into ascii and transmit
        UART_PutChar(tx/100 + 0x30);
        tx %= 100;
        UART_PutChar(tx/10 + 0x30);
        tx %= 10;
        UART_PutChar(tx + 0x30);
        
        //stop byte
        UART_PutChar('%');
        
        //indication to move on to next frame
        UART_PutChar('\n');
    }

    while(1)
    {
        for (i = 0; i < Samples; i++)
        {   
            if(ADC_IsEndConversion(ADC_WAIT_FOR_RESULT))
                NextSample = ADC_GetResult8();
            Total = Total + NextSample - SampleStream[i];
            Mean = Total / Samples;
            SampleStream[i] = NextSample;
            tx = Mean;
        
            //start byte
            UART_PutChar('$');
        
            //convert the values into ascii and transmit
            UART_PutChar(tx/100 + 0x30);
            tx %= 100;
            UART_PutChar(tx/10 + 0x30);
            tx %= 10;
            UART_PutChar(tx + 0x30);
            
            //stop byte
            UART_PutChar('%');
        
            //indication to move on to next frame
            UART_PutChar('\n');
        }
    }
}